%define major		0
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		ell
Version:	0.55
Release:	%mkrel 1
Summary:	Embedded Linux library
License:	LGPLv2+
Group:		System/Libraries
URL:		https://01.org/ell
Source0:	https://www.kernel.org/pub/linux/libs/ell/ell-%{version}.tar.xz
Patch0:		ell-0.28-linking.patch

%description
The Embedded Linux* Library (ELL) provides core, low-level functionality for
system daemons. It typically has no dependencies other than the Linux kernel, C
standard library, and libdl (for dynamic linking). While ELL is designed to be
efficient and compact enough for use on embedded Linux platforms, it is not
limited to resource-constrained systems.

%package -n	%{libname}
Summary:	Embedded Linux library
Group:		System/Libraries

%description -n	%{libname}
The Embedded Linux* Library (ELL) provides core, low-level functionality for
system daemons. It typically has no dependencies other than the Linux kernel, C
standard library, and libdl (for dynamic linking). While ELL is designed to be
efficient and compact enough for use on embedded Linux platforms, it is not
limited to resource-constrained systems.

%package -n	%{develname}
Summary:	Embedded Linux library development files
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Headers for developing against libell.

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install

find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%{_libdir}/libell.so.%{major}{,.*}

%files -n %{develname}
%license COPYING
%doc AUTHORS README TODO ChangeLog
%{_includedir}/ell/
%{_libdir}/libell.so
%{_libdir}/pkgconfig/ell.pc


%changelog
* Sun Jan 15 2023 daviddavid <daviddavid> 0.55-1.mga9
+ Revision: 1933594
- new version: 0.55

* Tue Mar 15 2022 umeabot <umeabot> 0.41-2.mga9
+ Revision: 1793580
- Mageia 9 Mass Rebuild

* Sun Jun 20 2021 wally <wally> 0.41-1.mga9
+ Revision: 1731366
- new version 0.41

* Mon May 10 2021 daviddavid <daviddavid> 0.40-1.mga9
+ Revision: 1722386
- new version: 0.40

* Tue Mar 30 2021 daviddavid <daviddavid> 0.39-1.mga9
+ Revision: 1712008
- new version: 0.39

* Thu Feb 25 2021 daviddavid <daviddavid> 0.38-1.mga9
+ Revision: 1690762
- new version: 0.38

* Wed Dec 09 2020 daviddavid <daviddavid> 0.35-1.mga8
+ Revision: 1654784
- new version: 0.35

* Wed Oct 21 2020 daviddavid <daviddavid> 0.33-1.mga8
+ Revision: 1637479
- new version: 0.33

* Wed Jun 17 2020 daviddavid <daviddavid> 0.32-1.mga8
+ Revision: 1594178
- new version: 0.32

* Fri Apr 17 2020 daviddavid <daviddavid> 0.31-1.mga8
+ Revision: 1567957
- new version: 0.31

* Fri Mar 27 2020 daviddavid <daviddavid> 0.30-1.mga8
+ Revision: 1561081
- new version: 0.30

* Thu Feb 20 2020 umeabot <umeabot> 0.28-2.mga8
+ Revision: 1547653
- Mageia 8 Mass Rebuild

* Sun Feb 09 2020 daviddavid <daviddavid> 0.28-1.mga8
+ Revision: 1488225
- new version: 0.28
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Dec 14 2019 daviddavid <daviddavid> 0.27-1.mga8
+ Revision: 1466770
- new version: 0.27

* Wed Nov 20 2019 daviddavid <daviddavid> 0.26-1.mga8
+ Revision: 1461771
- initial package ell

